Joomla – Fabrik – 0 Unable to connect to the Database:

I had a Fabrik project that I wanted so show someone and when I got there I saw this message.

0 Unable to connect to the Database: This driver is unsupported in PHP 7, please use the MySQLi or PDO MySQL driver instead.

My Joomla was version Joomla! 3.8.6. I had recently upgraded the server to PHP 7, so I found what broke it. I found this article to get me started.

http://fabrikar.com/forums/index.php?threads/if-in-joomla-3-5-you-get-this-driver-is-unsupported-in-php-7-try.43721/

I needed my Joomla! version and I found in the backend >>  System >> System information.

The solution was to change the SQL driver in Administrator side to “MySQLI(PDO)”. You get there by going to Global Configuration >> Server, and it will be in the upper right.

I hope this helps someone else out there…

 

Joomla 2.5 Upgrade To 3.X – Use XXAMP Over WAMP

I started a straight forward upgrade of a Joomla 2.5 site to 3.x.

You start with with downloading Joomla 3.5.1 first. Click here to download that package.

I used Akeeba Kickstart to restore a copy of the site locally in a WAMP environment. Restored the site and it need to be upgraded from 2.5.19 to 2.5.28.

First I needed to turn off Akeeba’s “backup system update” plug-in. Go to Plugins >> Sort by “ID” and it will probably one of the last ones. Of course you can always search.

After that the install went fine.

Next we need to set the Joomla Core Updater to be more risky and allow for “Short Term Support” by clicking on the “Options” button.

Select “Short Term Support”.

Click “Save and Close”. Then go back to Joomla Update in the Control Panel.

 

Extensions

  • Akeeba
  • Sourcer
  • JCE
  • JEvents

I got this error:

1093 – An error has occurred.

You can’t specify target table ‘#__template_styles’ for update in FROM clause SQL=UPDATE `#__template_styles` SET home = (CASE WHEN (SELECT count FROM (SELECT count(`id`) AS count FROM `#__template_styles` WHERE home = ‘1’ AND client_id = 1) as c) = 0 THEN ‘1’ ELSE ‘0’ END) WHERE template = ‘isis’ AND home != ‘1’;

That lead me to this article in the Joomla Forums.

https://forum.joomla.org/viewtopic.php?t=910368

So I uninstalled all plugins hoping the JEvents tables would match up if the upgrade to 3.4 goes well and I reinstall JEvents. I removed Akeeba Plugins, but some didn’t want to go away. I removed the JEvents component and the JCE; although, the JCE didn’t want to uninstall either. I then proceeded with a 3.5.1 migration through the Joomla update manager. I got the same error.

Out of fustration I tried the process in XXAMP and the upgrade happened just like it should .

I hope this helps someone else out there….

 

 

 

 

Joomla Turn Off PHP Version Warning In The Administrative Area

After upgrading my Joomla sites to 3.7 whenever I log into the back-end I get a warning that my PHP will not be supported in another year.

My friend at BMoreCreative showed me to turn this off.

  • Once logged into the administrative area go to Extensions >> Plug-ins.
  • Do a search for “quick”.
  • Uncheck “Quick Icon – PHP Version Check”

I hope this helps someone else out there…

 

Joomla 3.7 Upgrade – Law Swift Template – K2 Content Module Displaying All The Posts

I purchased this theme last year and it has been great.

https://themeforest.net/item/law-swift-lawyer-attorney-business-template/9431146

I upgraded to Joomla 3.7 and the K2 content modules broke. They would display all the posts at once.

I fixed this issue by uninstalling the T3 Framework plugin, downloading a new version, and installed the new version. Totally fixed the issue.

I hope this helps someone else out there…

 

Disable or turn off Akeeba Backup Before Updating Joomla

I needed to update to Joomla 3.7 and every time I did it ran an Akeeba backup. I already ran the back up before I started, so I just wanted to update the Joomla core.

You can do this by go into the Administrative area >> Extensions  >> and Plug-ins. Look for “System – Backup on update” and uncheck it.

This article helped me solve this.

https://www.akeebabackup.com/support/akeeba-backup-3x/Ticket/22374-disable-backup-before-updating-joomla.html

I hope this helps someone else out there…

 

Issues Upgrating to Joomla 3.6 to 3.7 – don’t worry it is safe

I got the notification  that all my Joomla installs were ready for  the 3.7 update. I started with test sites and then moved my way to my productions sites.

I have updated 12 sites so far and no issues. I even I have felt that the sites were running quicker.

I truely feel the the 3.X versions of Joomla started out slow and have gotten faster.

I feel like it is safe to update your Joomla installs.

I hope this helps someone else out there…

 

Joomla 3.6.3 Unable To Edit Module

I updated a bunch of sites yesterday after the 3.6.3 release. When I went to add the login module the edit page was complete white with a drop down box. I was deeply concerned and thought maybe this Gantry template was the issue. It was not. I found this page.

https://forum.joomla.org/viewtopic.php?f=709&p=3435967

I refreshed the browser window and everything was fine. Basically came down to Joomla worked on their caching component and you need to manually refresh the page.

Another install I upgraded simply refreshing the cache did not work. I was using Firefox. Firefox is making it tough to find the delete recent history. I had to close out of the administrative area all together. Open a new tab and then the modules were be having the way they should.

The articles are a different story. When I go into edit an article I get the following message.

joomla_3_6_3_update_error

I can still edit and save the article

I hope this helps someone else out there.